Page MenuHomeFreeBSD

sysutils/py-consul -> sysutils/py-python-consul
ClosedPublic

Authored by jhixson on Jan 25 2019, 6:14 PM.

Details

Summary

sysutils/py-consul -> sysutils/py-python-consul

Test Plan

Tested using poudriere for 11.2 and 12.0 with python

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhixson created this revision.Jan 25 2019, 6:14 PM
jhixson updated this revision to Diff 53211.Jan 25 2019, 6:17 PM
  • Add MOVED file
  • Remove py-python-nomad from diff
koobs requested changes to this revision.Jan 26 2019, 2:54 AM
koobs added inline comments.
sysutils/Makefile
982 ↗(On Diff #53211)

This unrelated change is still included in the diff, needs to be removed

sysutils/py-python-consul/Makefile
26 ↗(On Diff #53211)

Not required after PORTNAME change (GH_PROJECT defaults to PORTNAME)

28 ↗(On Diff #53211)

Group USE_* together, under USES

This revision now requires changes to proceed.Jan 26 2019, 2:54 AM
jhixson updated this revision to Diff 53328.Jan 28 2019, 6:07 PM

Port fixes

  • Group USE_* together
  • Fix sysutils/Makefile with correct port entry
  • Fix MOVED with correct port entry
jhixson updated this revision to Diff 53329.Jan 28 2019, 6:08 PM

Remove conman from Makefile

jhixson marked 2 inline comments as done.Jan 29 2019, 3:20 AM
araujo added inline comments.Jan 29 2019, 3:38 AM
sysutils/py-python-consul/Makefile
6 ↗(On Diff #53329)

You should keep the PORTREVISION for safety even if you are renaming it.

jhixson updated this revision to Diff 53441.Jan 30 2019, 8:17 PM

sysutils/py-consul: rename to sysutils/py-python-consul

  • Rename to be consistent with github project
  • Add PORTREVISION back
  • Add MOVED entry
  • Edit sysutils/Makefile to reflect name change
jhixson marked an inline comment as done.Jan 30 2019, 8:18 PM
araujo accepted this revision.Jan 31 2019, 2:17 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 31 2019, 5:03 AM
This revision was automatically updated to reflect the committed changes.